<template>
  <header>
    <h3>Welcome back!</h3>
    <p>
      <span>Don't have an account?</span>
      <Link
        class="ml-1"
        :to="appEndpoints.REGISTRATION"
      >
        Sign up
      </Link>
    </p>
  </header>
  <form>
    <fieldset>
      <EmailField
        v-model="data.email"
        @pass="pass.email = $event"
      />
      <PasswordField
        v-model="data.password"
        @pass="pass.password = $event"
      />
    </fieldset>
    <footer>
      <Button
        :disabled="buttonDisabled"
        @click.prevent="login(data)"
      >
        Sign in
      </Button>
      <Link :to="appEndpoints.RECOVERY_ACCOUNT">Forgot Password?</Link>
    </footer>
  </form>
</template>

<script lang="ts" setup>
import { Button, Link } from '~shared/ui';
import { type AuthRequest } from '~entities/auth';
import { EmailField, PasswordField } from '~features/auth';
import { appEndpoints } from '~shared/libs';
import { useAuthStore } from '~/stores/auth';

const data = reactive({ email: '', password: '' } as AuthRequest);
const pass = reactive({ email: false, password: false });
const buttonDisabled = computed(() => !pass.email || !pass.password);

const { login } = useAuthStore();
</script>
